Bug 429861 - "semodule: Failed!" on update to selinux-policy-targeted-3.2.5-17.fc9
Summary: "semodule: Failed!" on update to selinux-policy-targeted-3.2.5-17.fc9
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-23 15:01 UTC by Tom London
Modified: 2008-01-24 19:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-24 18:47:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom London 2008-01-23 15:01:05 UTC
Description of problem:
Today's yum update produces:

  Updating  : selinux-policy-targeted      ##################### [ 65/159] 
libsepol.expand_terule_helper: duplicate TE rule for unconfined_t
nsplugin_config_exec_t:process nsplugin_config_t
libsepol.expand_module: Error during expand
libsemanage.semanage_expand_sandbox: Expand module failed
semodule:  Failed!
  Updating  : selinux-policy-devel         ##################### [ 66/159] 


Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.2.5-17.fc9

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2008-01-23 21:44:12 UTC
Fixed in selinux-policy-targeted-3.2.5-18.fc9

Comment 2 Tom London 2008-01-23 22:00:07 UTC
I downloaded from koji selinux-policy*5.2.5-18.fc9 packages.

When I "rpm -Uvh selinux*", I got:

<<<<SNIP>>>>
/usr/lib/openoffice.org/program/configimport.bin
/usr/lib/openoffice.org/program/vclcanvas.uno.so
/usr/lib/openoffice.org/program/oovbaapi.rdb
/usr/lib/openoffice.org/program/libexp680li.so
/usr/lib/openoffice.org/program/libswui680li.so
/usr/lib/openoffice.org/program/libbf_migratefilter680li.so
/usr/lib/openoffice.org/program/libbindet680li.so
/usr/lib/openoffice.org/program/services.rdb
/usr/lib/openoffice.org/program/libegi680li.so
/usr/lib/openoffice.org/program/legacy_binfilters.rdb
/usr/lib/openoffice.org/program/libdeploymentmisc680li.so
/usr/lib/openoffice.org/LICENSE
/usr/lib/openoffice.org/README.html:  File name too long
[root@localhost Downloads]# 

Sorry, but the term window was set for only 500 lines, so I lost the start.

I tried running "rpm -Uvh --force selinux-policy-targeted*", but got:

[root@localhost Downloads]# rpm -Uvh --force selinux-policy-targeted*
Preparing...                ########################################### [100%]
   1:selinux-policy-targeted########################################### [100%]
[root@localhost Downloads]# 


I think I saw this with -18, but could not reproduce.

Comment 3 Tom London 2008-01-24 18:47:19 UTC
Could not reproduce the filename spew with -19.

Closing this.

Comment 4 Daniel Walsh 2008-01-24 19:22:35 UTC
This was fixed with an update to policycoreutils

policycoreutils-2.0.37-1.fc9

You might want to run restorecon -R -v /usr/lib64



Note You need to log in before you can comment on or make changes to this bug.